#include "Atlantis.h"

static const unsigned char *filename = "Atlantis";
struct SaveData data;

static void create_fresh_save(void)
{
	data.chapter = 0;
	data.level = 1;

	data.turn_moves = 1;
	data.turn_attacks = 1;

	data.life = 40;
	data.atk = 7;
	data.def = 2;
}

int load(void)
{
	int fd = Bfile_OpenMainMemory(filename);

	if(fd < 0)
	{
		if(fd != -1) return 1;

		Bfile_CreateMainMemory(filename);

		fd = Bfile_OpenMainMemory(filename);
		if(fd < 0) return 1;

		create_fresh_save();
		Bfile_WriteFile(fd, &data, sizeof(data));
		Bfile_CloseFile(fd);
	}
	else
	{
		Bfile_ReadFile(fd, &data, sizeof(data), 0);
		Bfile_CloseFile(fd);
	}
}

void save(void)
{
	int fd = Bfile_OpenMainMemory(filename);
	Bfile_WriteFile(fd, &data, sizeof(data));
	Bfile_CloseFile(fd);
}
