#ifndef	_LEVEL_DATA_H
#define	_LEVEL_DATA_H

#define	DIR_LEFT	0
#define	DIR_RIGHT	1

#define	ENT_MEDUSA	1
#define	ENT_SQUID	2
#define	ENT_SNAKE	3
#define	ENT_SWORDFISH	4
#define	ENT_FRIGATE	5
#define	ENT_DESTROYER	6
#define	ENT_FAC		7

// Enemy values are lower than ENT_ENEMY.
#define	ENT_ENEMY	7

#define	ENT_LEVELEND	8

struct Entity
{
	int identity;
	int level;

	int x, y;
	int direction;

	int life;
	int atk, def;
};

struct Map
{
	int width, height;

	int initial_x, initial_y;
	int initial_direction;

	const char *terrain;
	const struct Entity *entities;
};

extern const struct Map maps[];

extern const unsigned char sprites[][24];
extern const unsigned char *spritenames[];

extern const unsigned char tileset[][24];
extern const unsigned char *tilenames[];

#endif	// _LEVEL_DATA_H
